@use "../utils/_mixins/vars" as *
@use "../utils/_mixins/media" as *
@use "../utils/theme" as *

.news
  &-grid
    display: flex
    flex-direction: column
    &-together
      display: flex
      justify-content: flex-end
      min-height: 1px
      +tablet()
        flex-direction: column
  .gos-banners
    display: flex
    flex-direction: column
    margin-left: px2em(25)
    width: 50%
    +wide()
    .gos-banners
      width: 30%
    +tablet()
      margin-left: 0
      width: 100%
    &__item
      position: relative
      background-color: $primary-color-light
      height: 50%
      &:first-child
        background-image: url(http://vishime.ru/upload/iblock/861/86137003d145ff2885a64fb62f7c85ea.jpg)
        background-size: cover
        background-position: center
        background-repeat: no-repeat
        margin-bottom: px2em(20)
        +wide()
          height: 100%
        +tablet()
          height: 50vh
      &:last-child
        +wide()
          display: none
//Событие дня
.news
  .main-news
    width: 50%
    position: relative
    +wide()
      width: 70%
    +tablet()
      width: 100%
      margin-bottom: px2em(30)
    .news-article
      &-image
        width: 100%
        a
          display: block
          position: relative
          padding-top: 55.6%
          background-position: center
          background-repeat: no-repeat
          background-size: cover
      &-content
        padding: 0
      &-captions
        padding-top: 1.3em
      &__category
        display: inline-block
        font-family: medium, sans-serif
        color: $primary
        font-size: 110%
        margin-right: 1em
      &__title
        +wide()
          font-size: 1.3em

.news
  &-wrap-item
    margin-top: 60px
    +tablet()
      margin-top: 30px
    +phone()
      margin-top: 15px

.news-article
  &-content
    box-sizing: border-box
    height: 100%
    padding: 1em
    +phone()
      padding: 1em 0
      border-bottom: 1px solid $border
  &__caption
    font-size: 90%
    +themed()
      color: t(text-grey)
  &__title
    margin-top: .6rem
    a:hover
      color: $primary
  &__desc
    margin-top: .6rem
    font-size: 90%
    +themed()
      color: t(text-grey)
  +tablet()
    font-size: 15px
  +phone()
    font-size: 14px
    &:last-child
      > div
        border-bottom: none

.news
  &-all-articles
    position: relative
    width: 70%
    +wide()
      width: 100%
      font-size: 14px
    +desktop()
      width: 100%
      font-size: 13px
    .news
      &-every-article
        padding-bottom: px2em(40)
      &-article
        display: flex
        &-image
          width: 30%
          a
            display: block
            position: relative
            padding-top: 65.6%
            background-position: center
            background-repeat: no-repeat
            background-size: cover
        &-content
          padding-top: 0
          width: 70%
          margin-left: px2em(30)

.news-all-articles
  +tablet()
    display: flex
    flex-wrap: wrap
    .news-every-article
      width: calc((100% / 2) - (1em / 2))
      &:nth-child(2n-1)
        margin-right: 1em
    .news-article
      flex-direction: column
      .news-article-image
        width: 100%
        background-color: #FF4081
      .news-article-content
        width: 100%
        padding-top: 1em
        margin-left: 0
      .news-article__title
        font-size: 1.2em
  +phone()
    .news-every-article
      width: 100%
      border-bottom: 1px solid $border
      padding-top: px2em(20)
      &:first-child
        padding-top: 0
      &:last-child
        border: none
      &:nth-child(2n-1)
        margin-right: 0
      &:nth-child(2n+1)
        .news-article-image
          display: none